const babel = require('@babel/core');
const fs = require('fs');
const path = require('path');
const defaultOptions = require('@talend/scripts-config-babel/.babelrc.json');
const { minify } = require('terser');

function getMinified() {
	const src = fs.readFileSync(path.join(__dirname, '../src/inject.js'), 'utf-8');
	const lib = babel.transformSync(src, defaultOptions).code;

	// this is an async function, but the only await is when we need to generate sourcemaps
	// here we don't need that, so we can safely use it as sync function
	// if we need sourcemap, we can use :
	/*
		const getMinifiedLib = deasync(async (callback) => {
			try {
				callback(null, await minify(lib));
			}
			catch(error) {
				callback(error);
			}
		});
	*/
	return minify(lib).code;
}

module.exports = {
	getMinified,
};
